Name:           osbuild-auto
Version:        0.1
Release:        1%{?dist}
Summary:        Automotive stages for osbuild

License:        GPLv2+
Source1:	org.osbuild-auto.composefs.deploy
Source2:	org.osbuild-auto.ostree.config-composefs
Source3:	org.osbuild-auto.x509.gencert
Source4:	org.osbuild-auto.aboot.conf
Source5:	org.osbuild-auto.aboot.update
Source6:	org.osbuild-auto.write-device
Source7:        org.osbuild-auto.ostree.config-compliance-mode

Requires:       osbuild
BuildArch:      noarch

%description
WIP Composefs support for osbuild

%prep
rm -rf %{name}-{%version}
mkdir %{name}-{%version}

%build
cd %{name}-{%version}

%install
cd %{name}-{%version}
mkdir -p %{buildroot}%{_prefix}/lib/osbuild/stages
install -m755 %{SOURCE1} %{buildroot}%{_prefix}/lib/osbuild/stages/org.osbuild-auto.composefs.deploy
install -m755 %{SOURCE2} %{buildroot}%{_prefix}/lib/osbuild/stages/org.osbuild-auto.ostree.config-composefs
install -m755 %{SOURCE3} %{buildroot}%{_prefix}/lib/osbuild/stages/org.osbuild-auto.x509.gencert
install -m755 %{SOURCE4} %{buildroot}%{_prefix}/lib/osbuild/stages/org.osbuild-auto.aboot.conf
install -m755 %{SOURCE5} %{buildroot}%{_prefix}/lib/osbuild/stages/org.osbuild-auto.aboot.update
install -m755 %{SOURCE6} %{buildroot}%{_prefix}/lib/osbuild/stages/org.osbuild-auto.write-device
install -m755 %{SOURCE7} %{buildroot}%{_prefix}/lib/osbuild/stages/org.osbuild-auto.ostree.config-compliance-mode

%files
%{_prefix}/lib/osbuild/stages/*

%changelog
* Wed May 24 2023 Alexander Larsson <alexl@redhat.com> - 0.1-1
- Initial version
